<?php

final class ExtensionStorePublisherStatus extends Phobject {

  const STATUS_ACTIVE = 'active';
  const STATUS_ARCHIVED = 'archived';

  public static function getStatusName($status) {

    return idx(self::getStatusNameMap(), $status, pht('Unknown'));
  }

  public static function getStatusNameMap() {
    return array(
      self::STATUS_ACTIVE => pht('Active'),
      self::STATUS_ARCHIVED => pht('Archived'),
    );
  }
}
